{
  "condition": "minecraft:entity_properties",
  "entity": "this",
  "predicate": {
    "type": "minecraft:player",
    "type_specific": {
      "type": "minecraft:player"
    },
    "stepping_on": {
      "block": {
      "blocks": [
        "cave_air",
        "air",
        "void_air",
        "light",
        "brain_coral",
        "dead_brain_coral"
      ]
    }
    }
  }
}